org.sonatype.plexus.components.cipher

## Class DefaultPlexusCipher

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.sonatype.plexus.components.cipher.DefaultPlexusCipher

All Implemented Interfaces:
  org.codehaus.plexus.logging.LogEnabled, PlexusCipher

    public class DefaultPlexusCipher
    extends org.codehaus.plexus.logging.AbstractLogEnabled
    implements PlexusCipher

Author:
  Oleg Gusakov

### Field Summary

### Fields inherited from interface org.sonatype.plexus.components.cipher.PlexusCipher

`ENCRYPTED_STRING_DECORATION_START, ENCRYPTED_STRING_DECORATION_STOP, ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultPlexusCipher()`

### Method Summary

Methods
`java.lang.String` `decorate(java.lang.String str)` decorated given string with { and }
`java.lang.String` `decrypt(java.lang.String str, java.lang.String passPhrase)` decrypt given base64 encrypted string
`java.lang.String` `decryptDecorated(java.lang.String str, java.lang.String passPhrase)` decrypt given base64 encoded encrypted string.
`java.lang.String` `encrypt(java.lang.String str, java.lang.String passPhrase)` encrypt given string with the given passPhrase and encode it into base64
`java.lang.String` `encryptAndDecorate(java.lang.String str, java.lang.String passPhrase)` encrypt given string with the given passPhrase, encode it into base64 and return result, wrapped into { } decorations
`static java.lang.String[]` `getCryptoImpls(java.lang.String serviceType)` This method returns the available implementations for a service type
`static java.lang.String[]` `getServiceTypes()` Exploratory part.
`boolean` `isEncryptedString(java.lang.String str)` check if given string is decorated
`static void` `main(java.lang.String[] args)`
`java.lang.String` `unDecorate(java.lang.String str)` return string inside decorations

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPlexusCipher

    public DefaultPlexusCipher()
                        throws PlexusCipherException

Throws:
  `PlexusCipherException`

### Method Detail

#### encrypt

    public java.lang.String encrypt(java.lang.String str,
                           java.lang.String passPhrase)
                             throws PlexusCipherException

Description copied from interface: `PlexusCipher`
encrypt given string with the given passPhrase and encode it into base64

Specified by:
  `encrypt` in interface `PlexusCipher`
Returns:
Throws:
  `PlexusCipherException`

#### encryptAndDecorate

    public java.lang.String encryptAndDecorate(java.lang.String str,
                                      java.lang.String passPhrase)
                                        throws PlexusCipherException

Description copied from interface: `PlexusCipher`
encrypt given string with the given passPhrase, encode it into base64 and return result, wrapped into { } decorations

Specified by:
  `encryptAndDecorate` in interface `PlexusCipher`
Returns:
Throws:
  `PlexusCipherException`

#### decrypt

    public java.lang.String decrypt(java.lang.String str,
                           java.lang.String passPhrase)
                             throws PlexusCipherException

Description copied from interface: `PlexusCipher`
decrypt given base64 encrypted string

Specified by:
  `decrypt` in interface `PlexusCipher`
Returns:
Throws:
  `PlexusCipherException`

#### decryptDecorated

    public java.lang.String decryptDecorated(java.lang.String str,
                                    java.lang.String passPhrase)
                                      throws PlexusCipherException

Description copied from interface: `PlexusCipher`
decrypt given base64 encoded encrypted string. If string is decorated, decrypt base64 encoded string inside decorations

Specified by:
  `decryptDecorated` in interface `PlexusCipher`
Returns:
Throws:
  `PlexusCipherException`

#### isEncryptedString

    public boolean isEncryptedString(java.lang.String str)

Description copied from interface: `PlexusCipher`
check if given string is decorated

Specified by:
  `isEncryptedString` in interface `PlexusCipher`
Returns:

#### unDecorate

    public java.lang.String unDecorate(java.lang.String str)
                                throws PlexusCipherException

Description copied from interface: `PlexusCipher`
return string inside decorations

Specified by:
  `unDecorate` in interface `PlexusCipher`
Returns:
Throws:
  `PlexusCipherException`

#### decorate

    public java.lang.String decorate(java.lang.String str)

Description copied from interface: `PlexusCipher`
decorated given string with { and }

Specified by:
  `decorate` in interface `PlexusCipher`
Returns:

#### getServiceTypes

    public static java.lang.String[] getServiceTypes()

Exploratory part. This method returns all available services types

#### getCryptoImpls

    public static java.lang.String[] getCryptoImpls(java.lang.String serviceType)

This method returns the available implementations for a service type

#### main

    public static void main(java.lang.String[] args)